org.apache.olingo.commons.api.edm.provider

## Class CsdlProperty

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlProperty

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlProperty
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getDefaultValue()` Gets default value.
    `CsdlMapping` | `getMapping()` Gets mapping.
    `Integer` | `getMaxLength()` Gets max length.
    `String` | `getMimeType()` Gets mime type.
    `String` | `getName()` Gets name.
    `Integer` | `getPrecision()` Gets precision.
    `Integer` | `getScale()` Gets scale.
    `String` | `getScaleAsString()` Gets scaleAsString.
    `SRID` | `getSrid()` Gets srid.
    `String` | `getType()` Gets type.
    `FullQualifiedName` | `getTypeAsFQNObject()` Gets type as fQN object.
    `boolean` | `isCollection()` Is collection.
    `boolean` | `isNullable()` Is nullable.
    `boolean` | `isUnicode()` Is unicode.
    `CsdlProperty` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlProperty` | `setCollection(boolean isCollection)` Sets collection.
    `CsdlProperty` | `setDefaultValue(String defaultValue)` Sets default value.
    `CsdlProperty` | `setMapping(CsdlMapping mapping)` Sets mapping.
    `CsdlProperty` | `setMaxLength(Integer maxLength)` Sets max length.
    `CsdlProperty` | `setMimeType(String mimeType)` Sets mime type.
    `CsdlProperty` | `setName(String name)` Sets name.
    `CsdlProperty` | `setNullable(boolean nullable)` Sets nullable.
    `CsdlProperty` | `setPrecision(Integer precision)` Sets precision.
    `CsdlProperty` | `setScale(Integer scale)` Sets scale.
    `CsdlProperty` | `setScaleAsString(String scaleAsString)` Sets scaleAsString.
    `CsdlProperty` | `setSrid(SRID srid)` Sets srid.
    `CsdlProperty` | `setType(FullQualifiedName fqnName)` Sets type.
    `CsdlProperty` | `setType(String type)` Sets type.
    `CsdlProperty` | `setUnicode(boolean unicode)` Sets unicode.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlProperty

          public CsdlProperty()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlProperty setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getType

          public String getType()

      Gets type.
      Returns:
        the type

    - #### setType

          public CsdlProperty setType(String type)

      Sets type.
      Parameters:
        `type` - the type
      Returns:
        the type

    - #### getTypeAsFQNObject

          public FullQualifiedName getTypeAsFQNObject()

      Gets type as fQN object.
      Returns:
        the type as fQN object

    - #### setType

          public CsdlProperty setType(FullQualifiedName fqnName)

      Sets type.
      Parameters:
        `fqnName` - the fqn name
      Returns:
        the type

    - #### isCollection

          public boolean isCollection()

      Is collection.
      Returns:
        the boolean

    - #### setCollection

          public CsdlProperty setCollection(boolean isCollection)

      Sets collection.
      Parameters:
        `isCollection` - the is collection
      Returns:
        the collection

    - #### getDefaultValue

          public String getDefaultValue()

      Gets default value.
      Returns:
        the default value

    - #### setDefaultValue

          public CsdlProperty setDefaultValue(String defaultValue)

      Sets default value.
      Parameters:
        `defaultValue` - the default value
      Returns:
        the default value

    - #### isNullable

          public boolean isNullable()

      Is nullable.
      Returns:
        the boolean

    - #### setNullable

          public CsdlProperty setNullable(boolean nullable)

      Sets nullable.
      Parameters:
        `nullable` - the nullable
      Returns:
        the nullable

    - #### getMaxLength

          public Integer getMaxLength()

      Gets max length.
      Returns:
        the max length

    - #### setMaxLength

          public CsdlProperty setMaxLength(Integer maxLength)

      Sets max length.
      Parameters:
        `maxLength` - the max length
      Returns:
        the max length

    - #### getPrecision

          public Integer getPrecision()

      Gets precision.
      Returns:
        the precision

    - #### setPrecision

          public CsdlProperty setPrecision(Integer precision)

      Sets precision.
      Parameters:
        `precision` - the precision
      Returns:
        the precision

    - #### getScale

          public Integer getScale()

      Gets scale.
      Returns:
        the scale

    - #### setScale

          public CsdlProperty setScale(Integer scale)

      Sets scale.
      Parameters:
        `scale` - the scale
      Returns:
        the scale

    - #### getScaleAsString

          public String getScaleAsString()

      Gets scaleAsString.
      Returns:
        the scaleAsString

    - #### setScaleAsString

          public CsdlProperty setScaleAsString(String scaleAsString)

      Sets scaleAsString.
      Parameters:
        `scaleAsString` - the scaleAsString
      Returns:
        the scaleAsString

    - #### isUnicode

          public boolean isUnicode()

      Is unicode.
      Returns:
        the boolean

    - #### setUnicode

          public CsdlProperty setUnicode(boolean unicode)

      Sets unicode.
      Parameters:
        `unicode` - the unicode
      Returns:
        the unicode

    - #### getMimeType

          public String getMimeType()

      Gets mime type.
      Returns:
        the mime type

    - #### setMimeType

          public CsdlProperty setMimeType(String mimeType)

      Sets mime type.
      Parameters:
        `mimeType` - the mime type
      Returns:
        the mime type

    - #### getMapping

          public CsdlMapping getMapping()

      Gets mapping.
      Returns:
        the mapping

    - #### setMapping

          public CsdlProperty setMapping(CsdlMapping mapping)

      Sets mapping.
      Parameters:
        `mapping` - the mapping
      Returns:
        the mapping

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlProperty setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

    - #### setSrid

          public CsdlProperty setSrid(SRID srid)

      Sets srid.
      Parameters:
        `srid` - the srid
      Returns:
        the srid

    - #### getSrid

          public SRID getSrid()

      Gets srid.
      Returns:
        the srid

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.